# SubsurfModifier(Modifier)

base classes — `bpy_struct`, `Modifier`

class `bpy.types.``SubsurfModifier`(Modifier)

  Subdivision surface modifier

  `levels`

    Number of subdivisions to perform

    Type: | int in [0, 11], default 0

  `render_levels`

    Number of subdivisions to perform when rendering

    Type: | int in [0, 11], default 0

  `show_only_control_edges`

    Skip drawing/rendering of interior subdivided edges

    Type: | boolean, default False

  `subdivision_type`

    Select type of subdivision algorithm

    Type: | enum in [‘CATMULL_CLARK’, ‘SIMPLE’], default ‘CATMULL_CLARK’

  `use_subsurf_uv`

    Use subsurf to subdivide UVs

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Modifier.name` `Modifier.type` `Modifier.show_viewport` `Modifier.show_render` | `Modifier.show_in_editmode` `Modifier.show_on_cage` `Modifier.show_expanded` `Modifier.use_apply_on_spline`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`